CREATE DATABASE mailgate;
USE mailgate;

DROP TABLE IF EXISTS alerts;
CREATE TABLE `alerts` (
  `id` int auto_increment NOT NULL,
  `reason` varchar(20) NOT NULL,
  `alertname` varchar(100) NOT NULL,
  `queueid` varchar(30) NOT NULL,
  `alerttype` varchar(100) NOT NULL,
  `filename` varchar(100) NOT NULL,
  `action` varchar(30) NOT NULL,
  `source` varchar(40) NOT NULL,
  `alerturl` varchar(200),
  `missed` int NOT NULL,
  `product` varchar(30) NOT NULL,
  `vdf` varchar(20) NOT NULL,
  `engine` varchar(20) NOT NULL,
  `hostname` varchar(255) NOT NULL,
  `rcpt` varchar(255) NOT NULL,
  `ou` varchar(150),
  `date` datetime default 0,
  PRIMARY KEY  (`id`)
);

DROP TABLE IF EXISTS counter;
CREATE TABLE `counter` (
  `id` int auto_increment NOT NULL,
  `accepted` int NOT NULL,
  `clean` int NOT NULL,
  `alerts` int NOT NULL,
  `spam` int NOT NULL,
  `sent` int NOT NULL,
  `notify_admin` int NOT NULL,
  `notify_sender` int NOT NULL,
  `notify_recipient` int NOT NULL,
  `total_size` int NOT NULL,
  `errors` int NOT NULL,
  `incomplete` int NOT NULL,
  `unsupported` int NOT NULL,
  `encrypted` int NOT NULL,
  `extension` int NOT NULL,
  `limits` int NOT NULL,
  `unknown` int NOT NULL,
  `product` varchar(30) NOT NULL,
  `ou` varchar(150) NOT NULL,
  `hostname` varchar(255) NOT NULL,
  `date` datetime default 0,
  PRIMARY KEY  (`id`)
);
